Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.swing.svg
Class SVGDocumentLoaderEvent

    java.lang.Object
      java.util.EventObject
          org.apache.batik.swing.svg.SVGDocumentLoaderEvent

All Implemented Interfaces:
  Serializable

    public class SVGDocumentLoaderEvent

extends EventObject

This class represents an event which indicate an event originated from a SVGDocumentLoader instance.

See Also:
  Serialized Form

Field Summary
`protected org.w3c.dom.svg.SVGDocument` | `svgDocument` The associated SVG document.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`SVGDocumentLoaderEvent(Object source, org.w3c.dom.svg.SVGDocument doc)` Creates a new SVGDocumentLoaderEvent.

Method Summary
`org.w3c.dom.svg.SVGDocument` | `getSVGDocument()` Returns the associated SVG document, or null if the loading was just started or an error occured.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### svgDocument

    protected org.w3c.dom.svg.SVGDocument svgDocument

  The associated SVG document.

Constructor Detail

### SVGDocumentLoaderEvent

    public SVGDocumentLoaderEvent(Object source,
                                  org.w3c.dom.svg.SVGDocument doc)

  Creates a new SVGDocumentLoaderEvent.

  Parameters:
    `source` - the object that originated the event, ie. the SVGDocumentLoader.
    `doc` - The associated document.

Method Detail

### getSVGDocument

    public org.w3c.dom.svg.SVGDocument getSVGDocument()

  Returns the associated SVG document, or null if the loading was just started or an error occured.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.